[DEFAULT]
tags = devtools
subsuite = devtools
support-files =
  head.js
  resources/manifest/icon.svg
  resources/manifest/load-fail.html
  resources/manifest/load-no-manifest.html
  resources/manifest/load-ok-icons.html
  resources/manifest/load-ok-json-error.html
  resources/manifest/load-ok-manifest-link.html
  resources/manifest/load-ok-warnings.html
  resources/manifest/load-ok.html
  resources/manifest/manifest.json
  resources/service-workers/controlled-install-sw.js
  resources/service-workers/controlled-install.html
  resources/service-workers/debug-sw.js
  resources/service-workers/debug.html
  resources/service-workers/dynamic-registration.html
  resources/service-workers/empty.html
  resources/service-workers/empty-sw.js
  resources/service-workers/scope-page.html
  resources/service-workers/simple.html
  resources/service-workers/simple-unicode.html
  !/devtools/client/debugger/test/mochitest/helpers.js
  !/devtools/client/debugger/test/mochitest/helpers/context.js
  !/devtools/client/shared/test/frame-script-utils.js
  !/devtools/client/shared/test/shared-head.js
  !/devtools/client/shared/test/telemetry-test-helpers.js

# Worker-related tests
[browser_application_panel_debug-service-worker.js]
skip-if = debug || asan || !serviceworker_e10s # Bug 1559591, 1575578, 1588154
[browser_application_panel_disable-start-service-worker.js]
skip-if = (os == 'linux' && asan) || debug # Bug 1559487, 1559591
[browser_application_panel_list-domain-workers.js]
skip-if = debug # Bug 1559591
[browser_application_panel_list-several-workers.js]
skip-if = debug # Bug 1559591
[browser_application_panel_list-single-worker.js]
skip-if = debug # Bug 1559591
[browser_application_panel_start-service-worker.js]
skip-if = asan || debug || !serviceworker_e10s # Bug 1559487, 1559591, 1608640
[browser_application_panel_list-workers-empty.js]
[browser_application_panel_list-unicode.js]
skip-if = debug # Bug 1559591
[browser_application_panel_unregister-worker.js]
skip-if = debug # Bug 1559591
[browser_application_panel_worker-states.js]
skip-if = asan || debug || !serviceworker_e10s # Bug 1559487, 1559591, 1608640
# Manifest-related tests
[browser_application_panel_manifest-display.js]
[browser_application_panel_manifest-load.js]
[browser_application_panel_manifest-open-json.js]
[browser_application_panel_manifest-reload.js]
# Misc tests
[browser_application_panel_open-links.js]
skip-if = true # Bug 1467256, 1559591
[browser_application_panel_sidebar.js]
[browser_application_panel_target-switching.js]
